<?php

namespace app\modules\module_shop\controllers;

use kernel\AdminController;
use kernel\app_modules\tag\services\TagService;
use kernel\services\ModuleService;

class ModuleShopController extends AdminController
{
    protected ModuleService $moduleService;

    protected function init(): void
    {
        parent::init();
        $this->cgView->viewPath = KERNEL_APP_MODULES_DIR . "/module_shop/views/";
        $this->moduleService = new ModuleService();
    }

    public function actionIndex($page_number): void
    {
        $this->cgView->render("index.php", ['page_number' => $page_number]);
    }

}